Главная / Новости / DoS-уязвимость в контроллерах Allen-Bradley CompactLogix и Compact GuardLogix

DoS-уязвимость в контроллерах Allen-Bradley CompactLogix и Compact GuardLogix

В контроллерах Allen-Bradley CompactLogix и Compact GuardLogix компании Rockwell Automation исправлена уязвимость, позволяющая удаленному злоумышленнику вызвать отказ в обслуживании. При получении специальным образом сформированного TCP-пакета устройство переходит в безопасное состояние Major Non-Recoverable Fault (MNRF), из которого для восстановления работы контроллера потребуется переустановка программного обеспечения.

Уязвимость CVE-2017-9312 затрагивает следующие контроллеры до версий 30.012 включительно:

  • Allen-Bradley CompactLogix 5370 L1;
  • Allen-Bradley CompactLogix 5370 L2;
  • Allen-Bradley CompactLogix 5370 L3;
  • Allen-Bradley Armor CompactLogix 5370 L3;
  • Allen-Bradley Compact GuardLogix 5370;
  • Allen-Bradley Armor Compact GuardLogix 5370.

По шкале CVSS v.3 уязвимость получила оценку 8,6 баллов.

Для исправления уязвимости производитель выпустил новую версию прошивки.

Пользователям, которые не могут использовать обновление, рекомендуется блокировать весь трафик на устройства, работающие на основе протоколов Ethernet/IP или CIP, из-за пределов промышленного сегмента, а также ограничивать доступ к портам 2222 и 44818/ TCP и UDP с использованием средств межсетевого экранирования, UTM-устройств или других средств защиты.

Источник: ICS-CERT